---
title: FullscreenOptions.navigationUI
slug: Web/API/FullscreenOptions/navigationUI
tags:
  - API
  - Configuration
  - Full-screen
  - Fullscreen API
  - FullscreenOptions
  - Option
  - Property
  - Reference
  - Setting
  - fullscreen
  - navigationUI
  - screen
---
<p>{{APIRef("Fullscreen API")}}</p>

<p>The {{DOMxRef("FullscreenOptions")}} dictionary's <code><strong>navigationUI</strong></code> property is used when calling {{DOMxRef("Element.requestFullscreen", "requestFullscreen()")}} to specify to what extent the {{Glossary("user agent")}} should include its standard user interface while the element is presented in full-screen mode.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>fullscreenOptions</em> = {
  navigationUI: <em>value</em>
};
</pre>

<h3 id="Value">Value</h3>

<p>The value of the <code>navigationUI</code> property must be one of the following strings. The default is <code>"auto"</code>.</p>

<dl>
 <dt><code>"hide"</code></dt>
 <dd>The browser's navigation interface will be hidden and the entire dimensions of the screen will be allocated to the display of the element.</dd>
 <dt><code>"show"</code></dt>
 <dd>The browser will present page navigation controls and possibly other user interface; the dimensions of the element (and the perceived size of the screen) will be clamped to leave room for this user interface.</dd>
 <dt><code>"auto"</code></dt>
 <dd>The browser will choose which of the above settings to apply. This is the default value.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>In this example, the entire document is placed into full-screen mode by calling {{DOMxRef("Element.requestFullscreen", "requestFullscreen()")}} on the document's {{DOMxRef("Document.documentElement")}}, which is the document's root {{HTMLElement("html")}} element.</p>

<pre class="brush: js">let elem = document.documentElement;

elem.requestFullscreen({ navigationUI: "show" }).then({}).catch(err =&gt; {
  alert(`An error occurred while trying to switch into full-screen mode: ${err.message} (${err.name})`);
});
</pre>

<p>The promise's resolve handler does nothing, but if the promise is rejected, an error message is displayed by calling {{DOMxRef("Window.alert", "alert()")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Fullscreen", "#dictdef-fullscreenoptions", "FullscreenOptions")}}</td>
   <td>{{Spec2("Fullscreen")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FullscreenOptions.navigationUI")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API</a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
 <li>{{DOMxRef("Element.requestFullscreen()")}}</li>
</ul>
